MP4(3)

NAME

MP4SetTrackEditMediaStart - Set the media start time of a track edit segment

SYNTAX

#include <mp4.h>

bool MP4SetTrackEditMediaStart(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4EditId editId,
    MP4Timestamp mediaStartTime
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

editId
    Specifies the edit segment to which the operation applies. Caveat: the first edit has id 1 not 0.

mediaStartTime
    Species the new value for the media start in track time scale units.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetTrackEditMediaStart sets the media start time of the specified edit segment from the specified track in the track time scale units. See MP4ConvertToTrackTimestamp() for how to map this value from another time scale.

Note that this differs from the edit segment start time. For example:

EditId    Start    MediaStart    Duration
1    0    15    30
2    30    120    20
3    50    3000    10

SEE ALSO

MP4(3) MP4GetTrackEditMediaStart(3)